#[macro_use]
extern crate anyhow;

mod consul;
mod proxy_config;

use log::*;

#[tokio::main]
async fn main() {
	pretty_env_logger::init();
	info!("Starting Tricot");

	let consul = consul::Consul::new("http://10.42.0.21:8500");
	let mut rx_proxy_config = proxy_config::spawn_proxy_config_task(consul.clone(), "carcajou");

	while rx_proxy_config.changed().await.is_ok() {
		info!("Proxy config: {:#?}", *rx_proxy_config.borrow());
	}
}
